import basicPhotoBannerImage from './assets/previews/basic_photo_banner.png'
import urgentBasicPhotoBannerImage from './assets/previews/urgent_basic_photo_banner.png'
import urgentTextBannerImage from './assets/previews/urgent_text_banner.png'
import textBannerImage from './assets/previews/text_banner.png'
import newspaperQuoteBottomImage from './assets/previews/newspaper_quote_bottom.png'
import newspaperQuoteMiddleImage from './assets/previews/newspaper_quote_middle.png'
import facebookSurveyImage from './assets/previews/facebook_survey.png'
import twitterBannerImage from './assets/previews/twitter_banner.png'
import posterImage from './assets/previews/poster.png'
import regionalSuccessImage from './assets/previews/regional_success.png'


const TEMPLATES = {
    basic_photo_banner: {
        name: 'Základní banner s fotkou',
        image: basicPhotoBannerImage,
        path: '/',
        component: () => import('./views/basic_photo_banner/BasicPhotoBanner.vue'),
        meta: {
            title: 'Základní banner s fotkou',
        }
    },
    urgent_basic_photo_banner: {
        name: 'Urgentní banner s fotkou',
        image: urgentBasicPhotoBannerImage,
        path: '/urgent-basic-photo-banner',
        component: () => import('./views/urgent_basic_photo_banner/UrgentBasicPhotoBanner.vue'),
        meta: {
            title: 'Urgentní banner s fotkou',
        }
    },
    urgent_text_banner: {
        name: 'Urgentní banner pouze s textem',
        image: urgentTextBannerImage,
        path: '/urgent-text-banner',
        component: () => import('./views/urgent_text_banner/UrgentTextBanner.vue'),
        meta: {
            title: 'Urgentní banner pouze s textem',
        }
    },
    text_banner: {
        name: 'Banner pouze s textem',
        image: textBannerImage,
        path: '/text-banner',
        component: () => import('./views/text_banner/TextBanner.vue'),
        meta: {
            title: 'Banner pouze s textem',
        }
    },
    newspaper_quote_bottom: {
        name: 'Novinová citace s obrázkem',
        image: newspaperQuoteBottomImage,
        path: '/newspaper-quote-bottom',
        component: () => import('./views/newspaper_quote_bottom/NewspaperQuoteBottom.vue'),
        meta: {
            title: 'Novinová citace s obrázkem',
        }
    },
    newspaper_quote_middle: {
        name: 'Novinová citace - pouze text',
        image: newspaperQuoteMiddleImage,
        path: '/newspaper-quote-middle',
        component: () => import('./views/newspaper_quote_middle/NewspaperQuoteMiddle.vue'),
        meta: {
            title: 'Novinová citace - pouze text',
        }
    },
    facebook_survey: {
        name: 'Facebook anketa',
        image: facebookSurveyImage,
        path: '/facebook-survey',
        component: () => import('./views/facebook_survey/FacebookSurvey.vue'),
        meta: {
            title: 'Facebook anketa',
        }
    },
    poster: {
        name: 'Plakát',
        image: posterImage,
        path: '/poster',
        component: () => import('./views/poster/Poster.vue'),
        meta: {
            title: 'Plakát'
        }
    },
    twitter_banner: {
        name: 'Twitter banner',
        image: twitterBannerImage,
        path: '/twitter-banner',
        component: () => import('./views/twitter_banner/TwitterBanner.vue'),
        meta: {
            title: 'Twitter banner'
        }
    },
    regional_success: {
        name: 'Povedlo se v kraji',
        image: regionalSuccessImage,
        path: '/regional-success',
        component: () => import('./views/regional_success/RegionalSuccess.vue'),
        meta: {
            title: 'Povedlo se v kraji'
        }
    }
}

export default TEMPLATES
